| Earth Observation Mission CFI Software DataHandling Software User Manual for JAVA |

Public Member Functions | Public Attributes

# EECFI.OsfRec Class Reference

Class for containing data structure for Orbit Scenario Files. More...

List of all members.

## Public Member Functions
| OsfRec ()
| Constructor.
| OsfRec (final long absOrbi, final long relOrbi, final long cycleDay, final long cycleOrbit, final double meanlst, final double meanlstDrift, final double inclinat, final long driftMod, final double anxTaiTime, final double anxUt1Time, final double anxUtcTime, final double anxLongitude, final long cycleOsf, final long phaseOsf, final long timeRef, final MlstNonlinearDrift mlstNL)
| Constructor with parameters.
## Public Attributes
long | absOrbit
| Absolute orbit number.
long | relOrbit
| Relative orbit number.
long | cycleDays
long | cycleOrbits
double | mlst
| Mean local solar time (hours and fractions of hour).
double | mlstDrift
| Mean local solar time drift (secs per day).
double | inclination
| Inclination.
long | driftMode
| Inclination of mlstDrift.
double | anxTai
| ANX time in TAI format (MJD2000).
double | anxUt1
| ANX time in UT1 format (MJD2000).
double | anxUtc
| ANX time in UTC format (MJD2000).
double | anxLong
| ANX longitude (degrees).
long | cycle
long | phase
long | timeRefOf
| Reference time.
MlstNonlinearDrift | mlstNonlinearDrift
| MLST non linear drift terms.

## Detailed Description

Class for containing data structure for Orbit Scenario Files.

## Constructor & Destructor Documentation

EECFI.OsfRec.OsfRec | ( |  | ) |

Constructor.

EECFI.OsfRec.OsfRec | ( | final long | absOrbi,
|  | final long | relOrbi,
|  | final long | cycleDay,
|  | final long | cycleOrbit,
|  | final double | meanlst,
|  | final double | meanlstDrift,
|  | final double | inclinat,
|  | final long | driftMod,
|  | final double | anxTaiTime,
|  | final double | anxUt1Time,
|  | final double | anxUtcTime,
|  | final double | anxLongitude,
|  | final long | cycleOsf,
|  | final long | phaseOsf,
|  | final long | timeRef,
|  | final MlstNonlinearDrift | mlstNL |
| ) |  |  |

Constructor with parameters.

## Member Data Documentation

long EECFI.OsfRec.absOrbit

Absolute orbit number.

double EECFI.OsfRec.anxLong

ANX longitude (degrees).

double EECFI.OsfRec.anxTai

ANX time in TAI format (MJD2000).

double EECFI.OsfRec.anxUt1

ANX time in UT1 format (MJD2000).

double EECFI.OsfRec.anxUtc

ANX time in UTC format (MJD2000).

long EECFI.OsfRec.cycle

long EECFI.OsfRec.cycleDays

long EECFI.OsfRec.cycleOrbits

long EECFI.OsfRec.driftMode

Inclination of mlstDrift.

double EECFI.OsfRec.inclination

Inclination.

double EECFI.OsfRec.mlst

Mean local solar time (hours and fractions of hour).

double EECFI.OsfRec.mlstDrift

Mean local solar time drift (secs per day).

MlstNonlinearDrift EECFI.OsfRec.mlstNonlinearDrift

MLST non linear drift terms.

long EECFI.OsfRec.phase

long EECFI.OsfRec.relOrbit

Relative orbit number.

long EECFI.OsfRec.timeRefOf

Reference time.